> ## Documentation Index
> Fetch the complete documentation index at: https://specbeeconsultingservices.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET Work Locations

> Returns the list of work locations for a given company.



## OpenAPI

````yaml get /platform/api/work_locations
openapi: 3.0.0
info:
  title: API Reference
  version: '1.0'
  contact:
    name: Rippling Support
    email: support@rippling.com
  license:
    name: MIT
  description: >-
    Using Rippling's API requires either an API key or an access token retrieved
    from an OAuth exchange. Each is tied to a single Rippling Company.


    If you are a partner building an integration to Rippling,you can use
    [Rippling's Installation
    Guide](https://developer.rippling.com/docs/rippling-api/fucwnbc121hiu-installation-guide)
    to learn how to retrieve an access token to start using Rippling APIs.


    If you are a customer, you can go
    [here](https://developer.rippling.com/docs/rippling-api/9rw6guf819r5f-introduction-for-customers)
    to learn create your API keys to start using Rippling APIs.


    ### Using the Interactive Documentation


    Rippling's Documentation Portal allows you to test the API endpoints
    directly within the documentation. To do so, provide your API key or Access
    Token as a header parameter with the form Authorization Bearer: Bearer.
  termsOfService: https://app.rippling.com/developer/tos
servers:
  - url: https://api.rippling.com
    description: Production
security:
  - Token: []
tags:
  - name: A. Companies
  - name: B. Employees
  - name: C. Payroll
  - name: D. 401k
  - name: F. Groups
  - name: G. SAML
  - name: E. Current User
  - name: H. ATS
  - name: I. Application Management
  - name: J. Reports
  - name: Deprecated
paths:
  /platform/api/work_locations:
    parameters: []
    get:
      tags:
        - A. Companies
      summary: GET Work Locations
      description: Returns the list of work locations for a given company.
      operationId: get-work_locations
      parameters:
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/offset'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WorkLocation'
              examples:
                example-1:
                  value:
                    - nickname: string
                      address:
                        city: string
                        streetLine1: string
                        zip: string
                        country: string
                        state: string
                        streetLine2: string
      security:
        - Token: []
components:
  parameters:
    limit:
      name: limit
      in: query
      description: Sets a limit on the returned values
      schema:
        type: integer
    offset:
      name: offset
      in: query
      description: Offsets the returned values
      schema:
        type: integer
  schemas:
    WorkLocation:
      title: WorkLocation
      type: object
      description: A work location object.
      x-tags:
        - Models
      properties:
        id:
          type: string
          x-stoplight:
            id: 42exrorjwftqh
        nickname:
          type: string
          x-stoplight:
            id: v9uytw8586aem
        address:
          $ref: '#/components/schemas/Address'
    Address:
      title: Address
      type: object
      description: An address object as stored within Rippling.
      x-tags:
        - Models
      nullable: true
      properties:
        streetLine1:
          type: string
        streetLine2:
          type: string
          x-stoplight:
            id: mmxhb8sdzu0b0
        zip:
          type: string
        city:
          type: string
        state:
          type: string
        country:
          type: string
        phone:
          type: string
          x-stoplight:
            id: yj4a1ddet87j2
        isRemote:
          type: boolean
          x-stoplight:
            id: nmlr0lk92e2hp
        steLocationCode:
          type: object
          x-stoplight:
            id: jxxg9s4455h1t
          properties:
            locationCode:
              type: string
              x-stoplight:
                id: rm5caha8efems
            stateCode:
              type: string
              x-stoplight:
                id: anth3c82ksjp9
            countyCode:
              type: string
              x-stoplight:
                id: k2onu543xceey
            cityCode:
              type: string
              x-stoplight:
                id: 09ilcuma9ds23
            schoolCode:
              type: string
              x-stoplight:
                id: p466avszwv90x
            municipalityCode:
              type: string
              x-stoplight:
                id: uxubttcx58lgc
            psdCode:
              type: string
              x-stoplight:
                id: irrn4il5jp5qy
            transitDistrictCode:
              type: string
              x-stoplight:
                id: 41w08evs09sqf
            isOverridden:
              type: string
              x-stoplight:
                id: 0zf0azi5b5dzv
  securitySchemes:
    Token:
      type: http
      scheme: bearer

````